slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDMonitorConditioning

Print the condition number at each iteration of the singular value solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorConditioning(SVD svd,PetscInt its,PetscInt nconv,PetscReal *sigma,PetscReal *errest,PetscInt nest,PetscViewerAndFormat *vf)

Collective

### Input Parameters

| svd | - singular value solver context
| its | - iteration number
| nconv | - (unused) number of converged singular triplets so far
| sigma | - (unused) singular values
| errest | - (unused) error estimates
| nest | - (unused) number of error estimates to display
| vf | - viewer and format for monitoring

### Options Database Key

| -svd_monitor_conditioning | - activates SVDMonitorConditioning()

### Note

Works only for solvers that use a DS of type GSVD. The printed information corresponds to the maximum of the condition number of the two generated bidiagonal matrices.

### See Also

SVDMonitorSet(), SVDMonitorAll(), SVDMonitorFirst(), SVDMonitorConverged()

### Level

intermediate

### Location

src/svd/interface/svdmon.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages